VERSION 5.00
Begin VB.Form frmMain 
   Caption         =   "usPicScroll control example for Picture Viewing/Panning/Zooming/Scrolling/etc."
   ClientHeight    =   6975
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   10755
   LinkTopic       =   "Form1"
   ScaleHeight     =   6975
   ScaleWidth      =   10755
   StartUpPosition =   3  'Windows Default
   Begin Project1.ucPicScroll Image_Preview 
      Height          =   6255
      Left            =   2400
      TabIndex        =   1
      Top             =   240
      Width           =   7695
      _ExtentX        =   13573
      _ExtentY        =   11033
      Picture         =   "frmMain.frx":0000
   End
   Begin VB.CommandButton cmdPicture 
      Caption         =   "Load Picture"
      Height          =   615
      Left            =   240
      TabIndex        =   0
      Top             =   2160
      Width           =   1575
   End
   Begin VB.Label lblDirection 
      Caption         =   $"frmMain.frx":001C
      Height          =   1575
      Left            =   240
      TabIndex        =   2
      Top             =   3600
      Width           =   1695
   End
   Begin VB.Shape Shape1 
      Height          =   6615
      Left            =   2040
      Top             =   120
      Width           =   8535
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'//
'  Example uses the ucPicScroll control to display images and
'  If they don't fit within the usPicScoll control area,
'  the cursor will change into a hand and allows you to scroll the image
'  in the area.
'
'  Other functions in this ucPicScoll control allows for zooming (in/out)
'  resizing of images, best fit and anyother your imagination would allow.
'  This is the most useful vb control I've ever found for picture viewing.
'
'  Credit goes to :  Carles P.V. - in 2001 - Created ucPicScroll control
'                    carles_pv@terra.es
'
'  I like naval images and used the many pictures I found on the net
'  for display of the example.  All images are trade marked or are used for
'  example only and should not be used for commercial use :-)
'
'\\

Private Declare Function StretchBlt Lib "gdi32" (ByVal hdc As Long, ByVal x As Long, ByVal y As Long, ByVal nWidth As Long, ByVal nHeight As Long, ByVal hSrcDC As Long, ByVal xSrc As Long, ByVal ySrc As Long, ByVal nSrcWidth As Long, ByVal nSrcHeight As Long, ByVal dwRop As Long) As Long

Private Sub cmdPicture_Click()
  '//
  '  Load the picture of whatever iBackGrnd is (typicall zero at the begining)
  '\\
    On Error GoTo Oops

    sFilePath = App.Path & "\Graphics\backGrnd_" & iBackGrnd & ".jpg"
       
    Set Image_Preview = LoadPicture(sFilePath)
    iBackGrnd = iBackGrnd + 1
    If iBackGrnd > MaxBackGrnd Then iBackGrnd = 0

Exit Sub
    
Oops:
    MsgBox Err.Description, vbExclamation
    
End Sub

Private Sub Image_Preview_DblClick()
    '//
    '  ucPicScroll control is double clicked
    '  display the other form that uses the same control
    '  with menus and other options to show how the control
    '  is used in a more normal matter !!
    '\\
    Set frmFull.image_full = Image_Preview.Picture
    
    Screen.MousePointer = vbDefault

    frmFull.Show 1

End Sub
